Jifty::Server(3)

NAME
Jifty::Server - Stand-alone server implementation for Jifty

SYNOPSIS
  use Jifty::Server;
  my $server = Jifty::Server->new();
  $server->run();

DESCRIPTION
"Jifty::Server" is a subclass of HTTP::Server::Simple which creates a handy standalone web server for a lightweight Jifty application.

METHODS

  new
Creates a new "Jifty::Server" object.

  setup_jifty
Sets up the Jifty singleton. This is called automatically by "new".

  handle_request CGI
Calls "handle_request" in Jifty::Handler with the CGI object. If running tests, send test warnings on specific requests.

  send_http_status
Sends the HTTP status header.

  print_banner
Overrives HTML::Server::Simple::Mason's print_banner to use the logging framework to record the server's startup

  recorder_prefix
Returns the filename prefix used if HTTP::Server::Simple::Recorder support is being used.

  recording_on
Sets this server to use HTTP::Server::Simple::Recorder.

(See also the "JIFTY_RECORD" environment variable and the "-r" switch to "standalone_server".)

  after_setup_listener
If $ENV{JIFTY_SERVER_SIGREADY} is set, send the signal to the parent when the server is ready for requests.

  restart
Sets up the arguments needed for restarting the server using "jifty server".

  close_client_sockets
Closes all active client connections.

  started_ok
After starting, ensure we have a different database socket from the server.